package models

type FavoriteRelations struct {
	SourcesID string                   `json:"sources_id"`
	Relations AnthrovePostRelationship `json:"relations"`
}

type FavoritePost struct {
	AnthrovePost AnthrovePost        `json:"anthrove_post"`
	Relations    []FavoriteRelations `json:"relations"`
}

type FavoriteList struct {
	Posts []FavoritePost `json:"posts,omitempty"`
}

type TagsWithFrequency struct {
	Frequency int64       `json:"frequency"`
	Tags      AnthroveTag `json:"tags"`
}
