package models

type AnthroveUserID string
type AnthrovePostID string
type AnthroveRating string

const (
	SFW          AnthroveRating = "s"
	NSFW         AnthroveRating = "e"
	Questionable AnthroveRating = "q"
	Unknown      AnthroveRating = "unknown"
)

func (r *AnthroveRating) Convert(e621Rating string) {

	switch e621Rating {
	case "e":
		*r = NSFW
	case "q":
		*r = Questionable
	case "s":
		*r = SFW
	default:
		*r = Unknown
	}

}
